<bugID>1054947<Summary>"It looks like you haven't started Firefox in a while" message despite running Firefox daily</Summary><Description>I'm getting the message to Reset Firefox on my Firefox beta (32.0) despite running Firefox daily for a living. 

Did we regress here? I saw bug 896276 but it's an old one.</Description></bugID>